<template>
  <div>
    <pre v-html="content"></pre>
  </div>
</template>

<script setup>
import { ref, watch } from "vue";

let content = ref("");
//	获取父组件传递的资源url
const props = defineProps({
  previewSrc: {
    type: String,
    required: false,
    default: () => ""
  }
});

const getContent = (url) => {
  fetch(url)
    .then((res) => res.text())
    .then((data) => {
      content.value = data;
    });
};
getContent(props.previewSrc);

//引入VueOfficeExcel组件相关
import "@vue-office/excel/lib/index.css";

const comStyle = {
  width: "100%",
  height: "100%"
};

const renderedHandler = () => {
  console.log("rendered");
};
const errorHandler = (err) => {
  console.log("error", err);
};
</script>

<style scoped lang="less">
  .aUpload {
    position: absolute;
    top: 0;
    left: 0;
  }
</style>
